<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:41 GMT 2016 -->
<title>Vehicle</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Vehicle";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Vehicle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/stefanomantini/solvers/objects/Vehicle.html" target="_top">Frames</a></li>
<li><a href="Vehicle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.stefanomantini.solvers.objects</div>
<h2 title="Class Vehicle" class="title">Class Vehicle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.stefanomantini.solvers.objects.Vehicle</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Vehicle</span>
extends java.lang.Object</pre>
<div class="block">Standard Vehicle Class</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Stefano Mantini</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#businessType">businessType</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#currentParkingPosition">currentParkingPosition</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#invariant">invariant</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#nextParkingPosition">nextParkingPosition</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#startNode">startNode</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#Vehicle-java.lang.String-boolean-java.lang.String-com.stefanomantini.solvers.util.Coord-com.stefanomantini.solvers.util.Coord-">Vehicle</a></span>(java.lang.String&nbsp;invariant,
       boolean&nbsp;startNode,
       java.lang.String&nbsp;businessType,
       <a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;currentParkingPosition,
       <a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;nextParkingPosition)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#getBusinessType--">getBusinessType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#getCurrentParkingPosition--">getCurrentParkingPosition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#getInvariant--">getInvariant</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#getNextParkingPosition--">getNextParkingPosition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#isStartNode--">isStartNode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#setBusinessType-java.lang.String-">setBusinessType</a></span>(java.lang.String&nbsp;businessType)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#setCurrentParkingPosition-com.stefanomantini.solvers.util.Coord-">setCurrentParkingPosition</a></span>(<a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;currentParkingPosition)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#setInvariant-java.lang.String-">setInvariant</a></span>(java.lang.String&nbsp;invariant)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#setNextParkingPosition-com.stefanomantini.solvers.util.Coord-">setNextParkingPosition</a></span>(<a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;nextParkingPosition)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#setStartNode-boolean-">setStartNode</a></span>(boolean&nbsp;startNode)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="invariant">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invariant</h4>
<pre>private&nbsp;java.lang.String invariant</pre>
</li>
</ul>
<a name="startNode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startNode</h4>
<pre>private&nbsp;boolean startNode</pre>
</li>
</ul>
<a name="businessType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessType</h4>
<pre>private&nbsp;java.lang.String businessType</pre>
</li>
</ul>
<a name="currentParkingPosition">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentParkingPosition</h4>
<pre>private&nbsp;<a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt; currentParkingPosition</pre>
</li>
</ul>
<a name="nextParkingPosition">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>nextParkingPosition</h4>
<pre>private&nbsp;<a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt; nextParkingPosition</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Vehicle-java.lang.String-boolean-java.lang.String-com.stefanomantini.solvers.util.Coord-com.stefanomantini.solvers.util.Coord-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Vehicle</h4>
<pre>public&nbsp;Vehicle(java.lang.String&nbsp;invariant,
               boolean&nbsp;startNode,
               java.lang.String&nbsp;businessType,
               <a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;currentParkingPosition,
               <a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;nextParkingPosition)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInvariant--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvariant</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvariant()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invariant</dd>
</dl>
</li>
</ul>
<a name="setInvariant-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvariant</h4>
<pre>public&nbsp;void&nbsp;setInvariant(java.lang.String&nbsp;invariant)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invariant</code> - the invariant to set</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="isStartNode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStartNode</h4>
<pre>public&nbsp;boolean&nbsp;isStartNode()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the startNodeFlag</dd>
</dl>
</li>
</ul>
<a name="setStartNode-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStartNode</h4>
<pre>public&nbsp;void&nbsp;setStartNode(boolean&nbsp;startNode)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>startNode</code> - </dd>
</dl>
</li>
</ul>
<a name="getCurrentParkingPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentParkingPosition</h4>
<pre>public&nbsp;<a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;getCurrentParkingPosition()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the currentParkingPosition</dd>
</dl>
</li>
</ul>
<a name="setCurrentParkingPosition-com.stefanomantini.solvers.util.Coord-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentParkingPosition</h4>
<pre>public&nbsp;void&nbsp;setCurrentParkingPosition(<a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;currentParkingPosition)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currentParkingPosition</code> - the currentParkingPosition to set</dd>
</dl>
</li>
</ul>
<a name="getNextParkingPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextParkingPosition</h4>
<pre>public&nbsp;<a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;getNextParkingPosition()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the nextParkingPosition</dd>
</dl>
</li>
</ul>
<a name="setNextParkingPosition-com.stefanomantini.solvers.util.Coord-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNextParkingPosition</h4>
<pre>public&nbsp;void&nbsp;setNextParkingPosition(<a href="../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&nbsp;nextParkingPosition)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nextParkingPosition</code> - the nextParkingPosition to set</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="getBusinessType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBusinessType</h4>
<pre>public&nbsp;java.lang.String&nbsp;getBusinessType()</pre>
</li>
</ul>
<a name="setBusinessType-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBusinessType</h4>
<pre>public&nbsp;void&nbsp;setBusinessType(java.lang.String&nbsp;businessType)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Vehicle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/stefanomantini/solvers/objects/Vehicle.html" target="_top">Frames</a></li>
<li><a href="Vehicle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
